$(function(){
	
	$.getJSON("../../assets/js/landingpage_photos.json", function (data) {
		const tmphtml=template("favorite-photos",{photos:data});
		
		$("#project-photo-row").append(tmphtml);
	});
	
	$(".follow-box").append(template("follow-photos",{list:[1,2,3,4]}));
	
	$('.sort-box').on('click','.sort-tab',function(){
		let $this=$(this),showbox=$(this).data('show');
		if($this.hasClass('sort-tab-active')){
			return;
		}
		$('.sort-box .sort-tab-active').removeClass('sort-tab-active');
		$this.addClass('sort-tab-active');
		$(".project-box,.follow-box").hide();
		$("."+showbox).show();
	});
	
	$(".filter-menu").on('click','li',function(){
		zeroModal.alert({
			content:$(this).text()
		});
	});
	
});